summaryrefslogtreecommitdiffstats
path: root/core/modules/vmware12
diff options
context:
space:
mode:
authorSimon Rettberg2017-11-29 16:10:37 +0100
committerSimon Rettberg2017-11-29 16:10:37 +0100
commit273a4b6a518f7bb5161353de38f0ae1c7f4f96ae (patch)
tree9039b1105fba8bc8c6c05c0801c3dc32be2d31e3 /core/modules/vmware12
parent[ldm-greeter-bwlp] Make bg gradient much more pale (diff)
downloadmltk-273a4b6a518f7bb5161353de38f0ae1c7f4f96ae.tar.gz
mltk-273a4b6a518f7bb5161353de38f0ae1c7f4f96ae.tar.xz
mltk-273a4b6a518f7bb5161353de38f0ae1c7f4f96ae.zip
[vmware*] Only create /dev/vmmon if it doesn't exist
Diffstat (limited to 'core/modules/vmware12')
-rwxr-xr-xcore/modules/vmware12/data/opt/openslx/scripts/systemd-vmware_env4
1 files changed, 3 insertions, 1 deletions
diff --git a/core/modules/vmware12/data/opt/openslx/scripts/systemd-vmware_env b/core/modules/vmware12/data/opt/openslx/scripts/systemd-vmware_env
index 4e381bf0..a74fd106 100755
--- a/core/modules/vmware12/data/opt/openslx/scripts/systemd-vmware_env
+++ b/core/modules/vmware12/data/opt/openslx/scripts/systemd-vmware_env
@@ -55,7 +55,9 @@ vmnetif () {
local vmnet nic NICS
# create the needed devices which effects all vmware options
# they are not created automatically via module load
- mknod /dev/vmmon c 10 165 || slxlog "vmware-node-vmmon" "Could not create /dev/vmmon"
+ if ! [ -e /dev/vmmon ]; then
+ mknod /dev/vmmon c 10 165 || slxlog "vmware-node-vmmon" "Could not create /dev/vmmon"
+ fi
# network interfaces
# 1) default ones
for vmnet in 0 1 2; do